
<? if eq 1 1 '<script language="JavaScript">' '' ?>

<? if eq 1 1 '<? include ../html/js/jsl.js ?>'   '<script language="JavaScript" src="../html/js/jsl.js"></script>' ?>
<? if eq 1 1 '<? include ../html/js/error.js ?>' '<script language="JavaScript" src="../html/js/error.js"></script>' ?>
<? if eq 1 1 '<? include ../html/js/encrypt.js ?>' '<script language="JavaScript" src="../html/js/encrypt.js"></script>' ?>

<? if eq 1 1 '' '<script language="JavaScript">' ?>

<? setvariable var:bandmode `<? query ap:settings/band_mode ?>` ?>

function uiDoValidate()
{
	var output;

	if (document.getElementById("uiPostSSID").value.length == 0)
	{
		alert ("Invalid SSID");
		return false;
	}
	else
	{
		output = encrypt(document.getElementById("uiPostSSID").value);
		document.getElementById("uiPostSSID").value = output;
	}

	return true;
}

function uiDoOnLoad()
{
	jslPostToViewCheckBox("uiViewAPEnabled","uiPostAPEnabled");
	document.getElementById("uiViewSSID").value = decrypt(document.getElementById("uiPostSSID").value);
//	jslSetValue("uiViewSSID","uiPostSSID");
	<? if eq `1` `<? query ap:status/dot11a_supported ?>`
	` jslDoToggleRadio('uiViewBandMode',document.getElementById("uiPostBandMode").value,3);
       jslSetValue("uiViewChannelA", "uiPostChannelA");  
   	   uiChangeBandMode(document.getElementById("uiPostBandMode").value);
       ` ` ` ?>
	jslSetValue("uiViewChannelBG", "uiPostChannelBG");  
	uiSelect("uiViewBGMode", document.getElementById("uiPostBGMode").value);  
	jslPostToViewCheckBox("uiView4x","uiPost4x");
	jslPostToViewCheckBox("uiViewHiddenSSID","uiPostHiddenSSID");
	jslPostToViewCheckBox("uiViewUserIsolation","uiPostUserIsolation");
}

function uiDoSave()
{
	jslViewToPostCheckBox("uiPostAPEnabled", "uiViewAPEnabled");
	jslSetValue("uiPostSSID", "uiViewSSID");
	jslViewToPostCheckBox("uiPost4x","uiView4x");
	jslViewToPostCheckBox("uiPostHiddenSSID","uiViewHiddenSSID");
	jslViewToPostCheckBox("uiPostUserIsolation","uiViewUserIsolation");
	<? if eq `1` `<? query ap:status/dot11a_supported ?>`
	` jslSetValue("uiPostChannelA", "uiViewChannelA");  
	` ` ` ?>
	jslSetValue("uiPostChannelBG", "uiViewChannelBG");  

	if(uiDoValidate()==true) jslFormSubmit("uiPostForm");
	return;
}

function uiDoAdvanced()
{
	jslViewToPostCheckBox("uiPostFwdEnabled", "uiViewAPEnabled");
	jslSetValue("uiPostFwdSSID", "uiViewSSID");
	jslSetValue("uiPostFwdChannel","uiPostChannel");
	jslDisable("uiPostAPEnabled");
	jslDisable("uiPostChannel");
	jslDisable("uiPostSSID");	
	if(uiDoValidate()==true) jslGoTo(null,"wireless_setup_adv");
}

function uiChangeChannelA(channel)
{
  document.getElementById("uiPostChannelA").value = channel;
}

function uiChangeChannelBG(channel)
{
  document.getElementById("uiPostChannelBG").value = channel;
}

function uiChangeBGMode(mode)
{
  document.getElementById("uiPostBGMode").value = mode;
}

function uiChangeBandMode(value)
{
    switch(value) {
    	case '0': 
    		       jslDisable("uiViewChannelBG");
    		       jslEnable("uiViewChannelA");
    		       jslDisable("uiViewBGMode");
    			break;
    	case '1':
    		       jslDisable("uiViewChannelA");
    		       jslEnable("uiViewChannelBG");
    		       jslEnable("uiViewBGMode");
    			break;
    	case '2':
    		       jslEnable("uiViewChannelA","uiViewChannelBG");
    		       jslEnable("uiViewBGMode");
    			break;
    }
document.getElementById("uiPostBandMode").value=value;
}

function uiSelect(id, value)
{
  var i;
  var selector = document.getElementById(id);
  if(selector==null) return;
	
  for(i=0; i < selector.length; i++)
  {
    if(selector.options[i].value == value)
	{
      selector.selectedIndex = i;
	  return(value);
	}
  }
  return(selector.options[0].value);
}

function uiDoCancel()
{
     jslGoTo(null,"home");
}
</script>
